@ECHO OFF

setlocal enableDelayedExpansion
setlocal enableextensions 

REM Prüfung des passenden Verzeichnisses
if exist C:\PHCOMPrint (
	echo WILLKOMMEN BEIM PHCOM PRINT SETUP  
) else (
    ECHO Achten Sie darauf dass die Druckerroutine unter C:\PHCOMPrint installiert ist
	pause
	exit
)

REM Prüfung ob Powershell installiert ist
for %%i in (powershell.exe) do if "%%~$path:i"=="" (
	echo Um das Druckskript nutzen zu können, installieren Sie PowerShell - Der Druck wird jetzt abgebrochen
	pause
	exit
)

set data=%1
set search=phcomprint:
set replace=
REM Use %data% here before calling endlocal.
set "data=!data:%search%=%replace%!"


echo URL DECODIEREN
Cscript.exe //Nologo c:\PHCOMPrint\unescape.js %data% > c:\\PHCOMPrint\lasturlc.txt

for /F "delims=" %%A in (c:\PHCOMPrint\lasturlc.txt) do (
	set vURL=%%A
)

echo !vURL!
	
rem pRÜFUNG ob der Druckschonmal gedruckt wurde
if exist C:\PHCOMPrint\lasturl.log ( 

	for /F "delims=" %%A in (C:\PHCOMPrint\lasturl.log) do (
	  set vURLC=%%A
	)
	
	REM echo !vURLC!
	REM echo !vURL!

	if "!vURLC!" == "!vURL!" ( 
		echo "Der Druck wurde hier bereits durchgeführt - Abbruch" 
		exit 
	)

) else (
	echo . > C:\PHCOMPrint\lasturl.log
)

REM Printjob loggen
ECHO !vURL!> "C:\PHCOMPrint\lasturl.log"
del C:\PHCOMPrint\lasturlc.txt

echo Druckjob holen
set datei=C:\PHCOMPrint\tmp\ticket_%RANDOM%_%RANDOM%.txt
PowerShell.exe -Command "iwr -outf %datei% '!vURL!'"

findstr /c:"^FX" %datei% >nul && (

  echo RAW-TEXT ZEBRA
  C:\PHCOMPrint\print.zebra.bat

) || (

	echo ESC/POS Drucken (Epson)
	set /p printern=<C:\PHCOMPrint\config\epsonprintername.ini
	echo.EPSON Print - JETZT DRUCKEN auf Drucker "%printern%" %datei%

	c:\PHCOMPrint\RawWinPrinter.exe -p "%printern%" %datei%
)

del %datei%